import * as __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__ from "@tachybase/test/e2e";
import * as __WEBPACK_EXTERNAL_MODULE__templatesOfBug_mjs__ from "./templatesOfBug.mjs";
__WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test.describe('association form block', ()=>{
    (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test)('should be created instead of updated', async (param)=>{
        let { page, mockPage, mockRecord } = param;
        const nocoPage = await mockPage(__WEBPACK_EXTERNAL_MODULE__templatesOfBug_mjs__.T3529).waitForInit();
        await mockRecord('general');
        await nocoPage.goto();
        await page.getByLabel('action-Action.Link-View-view-general-table-0').click();
        page.getByLabel('action-Action-Submit-submit-').click();
        const request = await page.waitForRequest((request)=>request.url().includes('m2mField0:create'));
        (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expect)(request).toBeTruthy();
    });
});
